Summary:        Software watchdog
Name:           watchdog
Version:        5.12
Release:        %mkrel 2
Group:          System/Kernel and hardware
License:        GPL & QPL
URL:            http://sourceforge.net/projects/watchdog/
Source0:        http://downloads.sourceforge.net/watchdog/%{name}-%{version}.tar.gz
Source4:        watchdog.service
Requires:       kernel
BuildRequires:  kernel-headers glibc-devel


%description
Watchdog monitors various aspects of a machine to ensure that is has not
locked up.  In the event that a machine has locked up, watchdog will envoke
a reboot of the system.

%prep
%setup -q

%build
%configure2_5x
%make
mv README README.orig
iconv -f ISO-8859-1 -t UTF-8 < README.orig > README


%check
make check

%install
install -d -m0755 %{buildroot}%{_sysconfdir}
%makeinstall_std
install -Dp -m0644 redhat/sysconf.redhat %{buildroot}%{_sysconfdir}/sysconfig/watchdog
install -Dp -m0755 redhat/watchdog.init %{buildroot}%{_initrddir}/watchdog
install -Dp -m0644 %{SOURCE4} ${RPM_BUILD_ROOT}/lib/systemd/system/watchdog.service

%post
%_post_service watchdog

%preun
%_preun_service watchdog

%files
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog INSTALL NEWS README TODO README.watchdog.ipmi examples/
%attr(0755,root,root) %{_sbindir}/watchdog
%attr(0755,root,root) %{_sbindir}/wd_keepalive
%attr(0755,root,root) %{_sbindir}/wd_identify
%attr(0755,root,root) %{_initrddir}/watchdog
%{_mandir}/man5/watchdog.conf.5*
%{_mandir}/man8/watchdog.8*
%{_mandir}/man8/wd_keepalive.8*
%{_mandir}/man8/wd_identify.8*
%config(noreplace) %{_sysconfdir}/watchdog.conf
%config(noreplace) %{_sysconfdir}/sysconfig/watchdog
/lib/systemd/system/watchdog.service


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 5.12-2.mga3
+ Revision: 385640
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 ennael <ennael> 5.12-1.mga3
+ Revision: 343654
- new version 5.12

* Sat Apr 28 2012 tmb <tmb> 5.9-2.mga2
+ Revision: 233894
- Require rpm-helper >= 0.24.8-1 for systemd support

* Tue Oct 25 2011 dmorgan <dmorgan> 5.9-1.mga2
+ Revision: 157965
- New version 5.9
  Remove merged patch
  Add systemd support

* Mon Oct 24 2011 dmorgan <dmorgan> 5.7-2.mga2
+ Revision: 157663
- Remove old rpm stuffs

  + ennael <ennael>
    - add missing buildrequire
    - clean spec file
    - imported package watchdog

